# Generated by Django 4.1 on 2022-08-09 17:26

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='Artist',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.CreateModel(
            name='Key',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(choices=[('c', 'C'), ('d', 'D'), ('e', 'E'), ('f', 'F'), ('g', 'G'), ('a', 'A'), ('b', 'B')], default='c', max_length=2)),
            ],
        ),
        migrations.CreateModel(
            name='Sample',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=100)),
                ('audio', models.FileField(blank=True, upload_to='audio/')),
                ('type', models.TextField()),
                ('artists', models.ManyToManyField(related_name='samples', to='samples.artist')),
                ('key', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, related_name='samples', to='samples.key')),
            ],
        ),
        migrations.CreateModel(
            name='ArtistAdmin',
            fields=[
                ('artist_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='samples.artist')),
            ],
            bases=('samples.artist',),
        ),
        migrations.CreateModel(
            name='KeyAdmin',
            fields=[
                ('key_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='samples.key')),
            ],
            bases=('samples.key',),
        ),
        migrations.CreateModel(
            name='SampleAdmin',
            fields=[
                ('sample_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='samples.sample')),
            ],
            bases=('samples.sample',),
        ),
    ]
